toolzerhub API Docs

Get a seller storefront

Returns a seller's storefront item listing, with title (and price/image where available). store_name is the value returned as seller.store_name by the item detail endpoint. Returns null for an invalid or closed store name.

1 credit / requestBilled only on success
GET
/v1/ebay/shop/storefront

Authorization

ApiKeyAuth
x-api-key<token>

In: header

Query Parameters

store_name*string

eBay store name (the /str/<store_name> path segment — harvestable from an item detail response's seller.store_name).

Match^[A-Za-z0-9_\-.%]+$
Length1 <= length
curl -X GET "https://example.com/v1/ebay/shop/storefront?store_name=coastaltooloutlet" \  -H "x-api-key: YOUR_API_KEY"
{  "data": {    "store_name": "string",    "items": [      {        "item_id": "string",        "url": "string",        "title": "string",        "price": 0,        "currency": "string",        "image_url": "string",        "property1": null,        "property2": null      }    ]  }}